package com.railway.system.service;

import com.railway.system.domain.SysScheduledTask;

import java.util.List;
/**
* 系统计划任务表
* @author author
* @date 2021/12/09
*/
public interface ISysScheduledTaskService{

    /**
    * 新增
    */
    int create(SysScheduledTask sysScheduledTask);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(SysScheduledTask sysScheduledTask);

    /**
    * 获取单个
    */
    SysScheduledTask getInfo(String id);

    SysScheduledTask getInfoByName(String name);

    /**
    * 查询列表
    */
    List<SysScheduledTask> getList(SysScheduledTask sysScheduledTask);

}
